.TH wxStaticText 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxStaticText \- See external documentation: wxStaticText\&.
.SH DESCRIPTION
.LP
See external documentation: wxStaticText <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxStaticText()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxStaticText()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextwxstatictext>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> wxStaticText()
.br
.RS
.LP
Equivalent to new(Parent, Id, Label, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> wxStaticText()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextwxstatictext>\&.
.RE
.LP
.B
create(This::wxStaticText(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Label, [])\&.
.RE
.LP
.B
create(This::wxStaticText(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextcreate>\&.
.RE
.LP
.B
getLabel(This::wxStaticText()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextgetlabel>\&.
.RE
.LP
.B
setLabel(This::wxStaticText(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextsetlabel>\&.
.RE
.LP
.B
wrap(This::wxStaticText(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatictext\&.html#wxstatictextwrap>\&.
.RE
.LP
.B
destroy(This::wxStaticText()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
